﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WTLV_NumberOfDaysVisible
{
    public partial class Form1 : Form
    {
        CustomCreationFilter filter;

        bool isFirstPaint = true;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;

            ultraCalendarInfo1.Owners.Add("Joe");
            ultraCalendarInfo1.Owners.Add("Kate");
            ultraCalendarInfo1.Owners.Add("Frank");
            filter = new CustomCreationFilter();
            ultraTimelineView1.CreationFilter = filter;
        }

        private void ultraTimelineView1_Paint(object sender, PaintEventArgs e)
        {
            if (isFirstPaint)
            {
                SetColumnWidth();
                
                isFirstPaint = false;
            }
        }

        private void ultraTimelineView1_SizeChanged(object sender, EventArgs e)
        {
            SetColumnWidth();
        }

        private void SetColumnWidth()
        {
            // This is a bit inacurate, but it is the easiest solution
            // You can remove the offest variable if you want to use it
            //ultraTimelineView1.ColumnWidth = (int)Math.Ceiling((ultraTimelineView1.ClientRectangle.Width -
            //        filter.HeaderWidth - filter.ScrollBarWidth + 2) / 7.0);

            // This is more accurate, but also more complicated
            double columnWidth = (ultraTimelineView1.ClientRectangle.Width -
                    filter.HeaderWidth - filter.ScrollBarWidth) / 7.0;

            filter.Offset = (double)(columnWidth - (int)columnWidth) * 7;

            ultraTimelineView1.ColumnWidth = (int)Math.Floor(columnWidth);

           
        }


    }
}
